%global debug_package %{nil}

Summary:    Feature-rich header-only C++ testing framework
Name:       doctest
Version:    2.4.9
Release:    4%{?dist}
License:    MIT
URL:        https://github.com/doctest/%{name}
Source0:    %{url}/archive/refs/tags/v%{version}.tar.gz

Patch0001:  doctest-pointers-compare-fix.patch

BuildRequires: gcc-c++ cmake3
BuildRequires: git

%description
A fast (both in compile times and runtime) C++ testing framework, with the
ability to write tests directly along production source (or in their own
source, if you prefer).

%package devel
Summary: Development files for %{name}
Provides: %{name}-static = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Requires: libstdc++-devel

%description devel
Development files for doctest.

%prep
%autosetup -p1

%build
%cmake3 \
  -DCMAKE_BUILD_TYPE=Release \
  -DDOCTEST_WITH_MAIN_IN_STATIC_LIB:BOOL=OFF \
  -DDOCTEST_WITH_TESTS:BOOL=ON \
  %{nil}
%cmake3_build

%check
%ctest3

%install
%cmake3_install

%files devel
%license LICENSE.txt
%doc README.md CHANGELOG.md CONTRIBUTING.md
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.9-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Miaojun Dong <zoedong@tencent.com> - 2.4.9-1
- initial build
